## mplayer2 2.0-554-gf63dbad

=== debian/changelog ===
mplayer2 (2.0-554-gf63dbad-1ubuntu0.1) quantal-proposed; urgency=low

  * Enable CPU autodetection on architectures that support it.
    LP: #974125

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 11 Dec 2012 17:18:23 +0100

mplayer2 (2.0-554-gf63dbad-1) unstable; urgency=low

  * New upstream snapshot:
    - Pass a dummy address instead of NULL pointer as third argument to
      FcFontMatch() to fix an assertion failure with the latest 2.9.0
      version of fontconfig (Closes: #672947).

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 May 2012 20:07:25 +0200

mplayer2 (2.0-542-gbb90802-1) unstable; urgency=low

  * New upstream snapshot:
    - ao_pulse: fix specifying host/sink (Closes: #671362)
  * Drop support for cdparanoia.
  * Build-Depends on libcdio-{cdda,paranoia}-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 May 2012 01:37:30 +0200

mplayer2 (2.0-518-gb711624-2) unstable; urgency=low

  * Upload to unstable.
  * Merge 2.0-518-gb711624 from experimental.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 May 2012 03:32:15 +0200

mplayer2 (2.0-518-gb711624-1) experimental; urgency=low

  * New upstream snapshot.
  * Enable harden'd flags, thanks to Moritz Muehlenhoff
    for the patch. (Closes: #658034)
  * Build-depend on libpng-dev only. (Closes: #662435)
  * Drop esound support as it's obsolete.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Apr 2012 12:33:29 +0200
