=== debian/control ===
Source: mplayer2
Section: video
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 7.0.50~),
 docbook-xml,
 docbook-xsl,
 ladspa-sdk,
 libaa1-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libass-dev,
 libaudio-dev,
 libavcodec-dev (>= 4:0.8~),
 libavformat-dev (>= 4:0.8~),
 libavutil-dev (>= 4:0.8~),
 libbluray-dev,
 libcaca-dev,
 libcdio-cdda-dev,
 libcdio-paranoia-dev,
 libdirectfb-dev,
 libdts-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libenca-dev,
 libfaad-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgif-dev,
 libgl1-mesa-dev,
 libjack-dev,
 libjpeg-dev,
 liblircclient-dev,
 liblivemedia-dev,
 liblzo2-dev,
 libmpcdec-dev,
 libncurses5-dev,
 libopenal-dev,
 libpng-dev,
 libpostproc-dev (>= 4:0.8~),
 libpulse-dev,
 libschroedinger-dev,
 libsdl1.2-dev | libsdl1.1-dev,
 libsmbclient-dev,
 libspeex-dev,
 libswscale-dev (>= 4:0.8~),
 libtheora-dev (>= 1.0~beta1),
 libtool,
 libvdpau-dev,
 libvorbis-dev,
 libvorbisidec-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxv-dev,
 libxvidcore-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 pkg-config,
 python,
 vstream-client-dev,
 x11proto-core-dev,
 xsltproc,
 yasm,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://mplayer2.org
Vcs-Git: git://git.debian.org/pkg-multimedia/mplayer2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mplayer2.git;a=summary

Package: mplayer2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 mplayer
Conflicts:
 mplayer
Provides:
 mplayer
Description: next generation movie player for Unix-like systems
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
 QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
 can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, DirectFB,
 but also SDL (plus all its drivers) and some low level card-specific
 drivers (for Matrox, 3Dfx and Radeon, Mach64 and Permedia3). Most of
 them support software or hardware scaling, therefore allowing fullscreen
 display. MPlayer is also able to use some hardware MPEG decoder boards,
 such as the DVB and DXR3/Hollywood+.

Package: mplayer2-dbg
Section: debug
Architecture: any
Depends:
 mplayer2 (= ${binary:Version}),
 ${misc:Depends}
Replaces:
 mplayer-dbg
Conflicts:
 mplayer-dbg
Provides:
 mplayer-dbg
Description: Debugging symbols for mplayer2
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
 QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
 can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 This package provides the debugging symbols for mplayer2.
