## mplayer2 2.0-701-gd4c5b7f

=== debian/changelog ===
mplayer2 (2.0-701-gd4c5b7f-2ubuntu2) trusty; urgency=medium

  * Fix overenthusiastic case statement modification in ppc64el.patch.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Mar 2014 01:33:10 +0000

mplayer2 (2.0-701-gd4c5b7f-2ubuntu1) trusty; urgency=medium

  * Minimal ports to arm64 and ppc64el.  I haven't done any assembler
    optimisations so this may not be very fast, but it's at least good
    enough to satisfy dependencies of other packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Mar 2014 01:08:16 +0000

mplayer2 (2.0-701-gd4c5b7f-2build1) trusty; urgency=medium

  * No-change rebuild for libmng soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 17:02:09 +0100

mplayer2 (2.0-701-gd4c5b7f-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Add mechanism to retrieve upstream snapshots.
  * Do not fail on clean if config.mak is missing. (Closes: #718111)
  * Use canonical VCS url.
  * Bump Standards.

  [ Reinhard Tartler ]
  * Upload to unstable.
  * run dh_clean only when configured

 -- Alessio Treglia <alessio@debian.org>  Tue, 20 Aug 2013 16:33:40 +0100

mplayer2 (2.0-701-gd4c5b7f-1) experimental; urgency=low

  [ upstream ]
  * New VCS snapshot.

  [ Reinhard Tartler ]
  * Drop fix-format-string-error.patch: All changes are merged upstream.

  [ Jonas Smedegaard ]
  * Add myself as uploader, and sort them alphabetically.
  * Tighten build-dependencies on libswscale-dev and libpostproc-dev, to
    use experimental ones.
  * Build-depend on liba52-0.7.4-dev, libavresample-dev, libdv4-dev,
    liblcms2-dev, libmng-dev, libquvi-dev and libxss-dev.
  * Fix set version string.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Jan 2013 16:42:43 +0100

mplayer2 (2.0-665-gb5349bb-2) experimental; urgency=low

  [ Julien Lavergne ]
  * Enable CPU autodetection on architectures that support it,
    Closes: #627197,
    LP: #934774, #928793, #858226, #974125, #974774, #987734, #1014279

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 23 Nov 2012 20:53:49 +0100

mplayer2 (2.0-665-gb5349bb-1) experimental; urgency=low

  * New upstream snapshot
  * build against libav9
  * use xz compression
  * vo_svga has been removed upstream
  * package build now requires python3 to build
  * Fix a format string error. Patch by Rico Tzschichholz
  * mplayer2 uses rst2man for generating manpages
  * build against libbluray-dev, Closes: #692612
  * build against libmad0-dev, and libmpg123-dev, Closes: #676920

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 18 Nov 2012 20:45:52 +0100
