=== debian/control ===
--- 
+++ 
@@ -4,28 +4,34 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Reinhard Tartler <siretart@tauware.de>,
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jonas Smedegaard <dr@jones.dk>,
+ Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
  autoconf,
  automake,
  debhelper (>= 7.0.50~),
  docbook-xml,
  docbook-xsl,
+ dpkg-dev (>> 1.16.1~),
  ladspa-sdk,
+ liba52-0.7.4-dev,
  libaa1-dev,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 4:0.8~),
- libavformat-dev (>= 4:0.8~),
- libavutil-dev (>= 4:0.8~),
+ libavcodec-dev (>= 6:9~),
+ libavformat-dev (>= 6:9~),
+ libavresample-dev (>= 6:9~),
+ libavutil-dev (>= 6:9~),
  libbluray-dev,
  libcaca-dev,
  libcdio-cdda-dev,
  libcdio-paranoia-dev,
  libdirectfb-dev,
+ libbs2b-dev,
  libdts-dev,
+ libdv4-dev,
  libdvdnav-dev,
  libdvdread-dev,
  libenca-dev,
@@ -37,20 +43,25 @@
  libgl1-mesa-dev,
  libjack-dev,
  libjpeg-dev,
+ liblcms2-dev,
  liblircclient-dev,
  liblivemedia-dev,
  liblzo2-dev,
+ libmad0-dev,
+ libmng-dev,
  libmpcdec-dev,
+ libmpg123-dev,
  libncurses5-dev,
  libopenal-dev,
  libpng-dev,
- libpostproc-dev (>= 4:0.8~),
+ libpostproc-dev (>= 6:0.git20120821~),
  libpulse-dev,
+ libquvi-dev,
  libschroedinger-dev,
  libsdl1.2-dev | libsdl1.1-dev,
  libsmbclient-dev,
  libspeex-dev,
- libswscale-dev (>= 4:0.8~),
+ libswscale-dev (>= 6:9~),
  libtheora-dev (>= 1.0~beta1),
  libtool,
  libvdpau-dev,
@@ -59,22 +70,24 @@
  libx11-dev,
  libxext-dev,
  libxinerama-dev,
+ libxss-dev,
  libxv-dev,
  libxvidcore-dev,
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
  pkg-config,
- python,
+ python-docutils,
+ python3,
  vstream-client-dev,
  x11proto-core-dev,
  xsltproc,
  yasm,
  zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mplayer2.org
-Vcs-Git: git://git.debian.org/pkg-multimedia/mplayer2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mplayer2.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mplayer2.git
 
 Package: mplayer2
 Architecture: any
