=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,6 @@
 confflags := --prefix=/usr \
 	--confdir=/etc/mplayer \
 	--enable-translation \
-	--disable-svga \
 	--extra-cflags="${CFLAGS}" \
 	--extra-ldflags="${LDFLAGS}" \
 	--enable-debug=3 \
@@ -53,6 +52,7 @@
 	dh $@
 
 override_dh_auto_configure:
+	dpkg-parsechangelog | sed -n 's/^Version: //p' > VERSION
 	./configure $(confflags)
 
 override_dh_auto_build:
@@ -65,6 +65,14 @@
 override_dh_strip:
 	dh_strip --dbg-package=mplayer2-dbg
 
+override_dh_auto_clean:
+	dh_auto_clean || true
+
 override_dh_clean:
-	dh_clean
+	[ ! -f config.mak ] || dh_clean
+	rm -f VERSION
 
+get-orig-source:
+	sh debian/get-git-source.sh
+
+.PHONY: get-orig-source
