## mplayer2 2.0-728

=== Makefile ===
--- 
+++ 
@@ -58,10 +58,6 @@
 SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
 SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
 
-# These filters use private headers and do not work with shared libavcodec.
-SRCS_COMMON-$(FFMPEG_INTERNALS)      += libmpcodecs/vf_mcdeint.c \
-                                        libmpcodecs/vf_spp.c \
-
 SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
 SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
 SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
@@ -113,8 +109,7 @@
 SRCS_COMMON-$(NEED_STRSEP)           += osdep/strsep.c
 SRCS_COMMON-$(NEED_SWAB)             += osdep/swab.c
 SRCS_COMMON-$(NEED_VSSCANF)          += osdep/vsscanf.c
-SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c \
-                                        stream/asf_mmst_streaming.c \
+SRCS_COMMON-$(NETWORKING)            += stream/asf_mmst_streaming.c \
                                         stream/asf_streaming.c \
                                         stream/cookies.c \
                                         stream/http.c \
@@ -145,7 +140,6 @@
                                         loader/dshow/guids.c \
                                         loader/dshow/mediatype.c \
 
-SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c  stream/audio_in.c
 SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c stream/audio_in.c
 SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
 SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
@@ -230,11 +224,21 @@
               libaf/af_hrtf.c \
               libaf/af_karaoke.c \
               libaf/af_lavcac3enc.c \
-              libaf/af_lavcresample.c \
+              libaf/af_lavrresample.c \
               libaf/af_pan.c \
-              libaf/af_resample.c \
               libaf/af_scaletempo.c \
               libaf/af_sinesuppress.c \
               libaf/af_stats.c \
               libaf/af_sub.c \
               libaf/af_surround.c \
+              libaf/af_sweep.c \
+              libaf/af_tools.c \
+              libaf/af_volnorm.c \
+              libaf/af_volume.c \
+              libaf/filter.c \
+              libaf/format.c \
+              libaf/reorder_ch.c \
+              libaf/window.c \
+              libmpcodecs/ad.c \
+              libmpcodecs/ad_alaw.c \
+              libmpcodecs/ad_dk3adpcm.c \
