## mplayer2 2.0-728-g2c378c7

=== debian/changelog ===
mplayer2 (2.0-728-g2c378c7-4+hurd.1) unreleased; urgency=medium

  * hack PATH_MAX issue.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Mar 2015 15:25:40 +0000

mplayer2 (2.0-728-g2c378c7-4) unstable; urgency=medium

  * Increase MP_INPUT_BUFFER_PADDING_SIZE to 32 to make ffmpeg happy.
    Thanks to Andreas Cadhalpun (Closes: #758359).

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Oct 2014 15:33:51 +0100

mplayer2 (2.0-728-g2c378c7-3) unstable; urgency=medium

  [ Colin Watson ]
  * Minimal ports to arm64 and ppc64el. (Closes: #756648)

  [ Alessio Treglia ]
  * Add git to Build-Depends-Indep as it's being used by get-orig-source.
  * Bump source package's priority to optional, and keep mplayer2-dbg as
    extra. Thanks to Pino Toscano <pino@debian.org> for pointing this
    out. (Closes: #761147)
  * Link with --as-needed.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Oct 2014 16:26:50 +0100

mplayer2 (2.0-728-g2c378c7-2) unstable; urgency=low

  * Upload to unstable, closes: #739337
  * Compile against samba-4.0, Closes: #743604
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 May 2014 15:24:13 -0400

mplayer2 (2.0-728-g2c378c7-1) experimental; urgency=low

  * New upstream version
  * Add patch to fix FTBFS against libav10 (Closes: #739337)
  * Compile against libav10

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 08 Mar 2014 19:20:06 -0500

mplayer2 (2.0-726-g6c87a98-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream version

  [ Reinhard Tartler ]
  * No longer set hardening CFLAGS explicitly, rely on DH compat level 9
    instead

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 21 Aug 2013 07:47:30 +0200
