=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mplayer2
 Section: video
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
@@ -10,7 +9,7 @@
 Build-Depends:
  autoconf,
  automake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  docbook-xml,
  docbook-xsl,
  dpkg-dev (>> 1.16.1~),
@@ -20,16 +19,16 @@
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 6:9~),
- libavformat-dev (>= 6:9~),
- libavresample-dev (>= 6:9~),
- libavutil-dev (>= 6:9~),
+ libavcodec-dev (>= 6:10~),
+ libavformat-dev (>= 6:10~),
+ libavresample-dev (>= 6:10~),
+ libavutil-dev (>= 6:10~),
  libbluray-dev,
+ libbs2b-dev,
  libcaca-dev,
  libcdio-cdda-dev,
  libcdio-paranoia-dev,
  libdirectfb-dev,
- libbs2b-dev,
  libdts-dev,
  libdv4-dev,
  libdvdnav-dev,
@@ -59,9 +58,9 @@
  libquvi-dev,
  libschroedinger-dev,
  libsdl1.2-dev | libsdl1.1-dev,
- libsmbclient-dev,
+ libsmbclient-dev (>= 2:4~),
  libspeex-dev,
- libswscale-dev (>= 6:9~),
+ libswscale-dev (>= 6:10~),
  libtheora-dev (>= 1.0~beta1),
  libtool,
  libvdpau-dev,
@@ -84,7 +83,9 @@
  xsltproc,
  yasm,
  zlib1g-dev
-Standards-Version: 3.9.4
+Build-Depends-Indep:
+ git
+Standards-Version: 3.9.5
 Homepage: http://mplayer2.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mplayer2.git
@@ -115,6 +116,7 @@
  such as the DVB and DXR3/Hollywood+.
 
 Package: mplayer2-dbg
+Priority: extra
 Section: debug
 Architecture: any
 Depends:
