=== debian/rules ===
--- 
+++ 
@@ -17,16 +17,11 @@
 	CFLAGS += -march=i686
 endif
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
-CFLAGS += `dpkg-buildflags --get CPPFLAGS`
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-
 confflags := --prefix=/usr \
 	--confdir=/etc/mplayer \
 	--enable-translation \
-	--extra-cflags="${CFLAGS}" \
-	--extra-ldflags="${LDFLAGS}" \
 	--enable-debug=3 \
+	--extra-ldflags=-Wl,--as-needed \
 	$(archconf)
 
 ifeq ($(DEB_HOST_ARCH),i386)
@@ -69,8 +64,9 @@
 	dh_auto_clean || true
 
 override_dh_clean:
-	[ ! -f config.mak ] || dh_clean
-	rm -f VERSION
+	dh_clean VERSION
+
+override_dh_auto_clean:
 
 get-orig-source:
 	sh debian/get-git-source.sh
